unit RoadPhysic;

interface
  uses  windows,RoadSys;
  type
    TPosition   = record
      X,Y,Z     : Single;
    end;

    TPhysicClass  = class of TPhysicBase;
    TPhysicBase = class(TBaseObject)
       Parent   : Pointer; 
       Position : TPosition;
       Speed    : TPosition;
       Mass     : Single;
       constructor Create(pParent : pointer);virtual;
       procedure Update;virtual;abstract;
    end;
var
  dt  : dword = 100;
implementation

{ TPhysicBase }

constructor TPhysicBase.Create;
begin
  Parent  :=  pParent;
end;

end.
